Comment 39 for bug 107320

I am summarising info for the bug here.

This bug is mostly about intel driver reporting physical screen size of 289x21 millimiters.

mets.tes.chaussettes have found a new workaround, confirmed by puccha, for /etc/X11/xorg.conf file:
Section "Monitor"
       ... #whatevert was in already.
        Option "DDC" "no"
EndSection

For ATI driver extract from Laurent:
I have backported the debian version of xserver-xorg-video-ati(6.6.3-2) to gutsy and I don't have this issue, should be introduced by some ubuntu patch

According to john on 2007-10-31:
Seems to be fixed in Pre-Released Updates. mine is fine now.
But puccha, and mets.tes.chaussettes say it does not fix.

bug #128745 is about bad DPI detection too, seems to have been fixed with a hack in gconf (I feels lost with it)
libgnome (2.20.0-1ubuntu1) gutsy; urgency=low
  * debian/libgnome2-common.gconf-defaults:
    - set dpi to 96 rather than fonts to 11 (LP: #118745)

Maciej, servaas, Donc, paresh,gutocarvalho have 289x21 milimiters screen on their intel chipset!

Maciej (original poster):
(==) intel(0): DPI set to (75, 75)
(II) intel(0): Setting screen physical size to 289 x 21
X Window System Version 7.2.0
Release Date: 22 January 2007
X Protocol Version 11, Revision 0, Release 7.2
Current Operating System: Linux maciej-laptop 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686

servaas-xubuntu-user (Problem in XUbuntu in general, not just GDM)
X Window System Version 1.3.0
X Protocol Version 11, Revision 0, Release 1.3
Current Operating System: Linux ubuntu 2.6.22-8-generic #1 SMP Thu Jul 12 15:59:45 GMT 2007 i686
(==) intel(0): DPI set to (75, 75)
(II) intel(0): Setting screen physical size to 289 x 21

Donc:
Intel 945GM
Some output of xdpyinfo that may help:
screen #0:
  dimensions: 1280x800 pixels (289x21 millimeters)
  resolution: 112x968 dots per inch

Paresh:
(II) intel(0): Setting screen physical size to 289 x 21
(==) intel(0): DPI set to (100, 100)
X Window System Version 1.3.0
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Linux Ubuntu (xorg-server 2:1.3.0.0.dfsg-12ubuntu8)
Current Operating System: Linux pareshlap 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686

gutocarvalho:
(II) intel(0): Setting screen physical size to 289 x 21
(==) intel(0): DPI set to (100, 100)
X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Linux Ubuntu (xorg-server 2:1.3.0.0.dfsg-12ubuntu8)
Current Operating System: Linux defiant 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686

collinbeck:
Intel 945, problem exist in stable Gutsy (7.10)

Artemis3
I also get (==) intel(0): DPI set to (75, 75) but if i enter a custom value in xorg.conf say, DisplaySize 338 211 in the monitor section; the DPI becomes: intel(0): DPI set to (96, 154) but the fonts in gdm still look huge.

Matt: Surely bad display dimensions!
(--) fglrx(0): Display dimensions: (40, 30) mm
(--) fglrx(0): DPI set to (812, 866)
X Window System Version 7.2.0
X Protocol Version 11, Revision 0, Release 7.2
Current Operating System: Linux matt-desktop 2.6.20-16-generic #2 SMP Fri Aug 31 00:55:27 UTC 2007 i686

nzk (bug #91042)
Uname: Linux andrei-laptop 2.6.20-9-generic #2 SMP Mon Feb 26 03:01:44 UTC 2007 i686
This happens with both the 'ati' and 'radeon' drivers. I do not use fglrx.

Etienne
(II) RADEON(0): Setting screen physical size to 4 x 3
(**) RADEON(0): Display dimensions: (320, 240) mm
(**) RADEON(0): DPI set to (101, 108)
X Window System Version 1.3.0
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Linux Ubuntu (xorg-server 2:1.3.0.0.dfsg-12ubuntu6)
Current Operating System: Linux etienne-desktop 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686

Matteo:
(==) RADEON(0): DPI set to (100, 100)
ati driver 6.7.194.
Sometimes this happens in X as well (see pic). This also causes me problems when reading pdf files and producing charts with R (says that figure is too large -> because of huge fonts).

Workaround working for Marcelo, gutocarvalho: (Watchout, may make it harder for you to report fix on this bug)
changed /etc/gdm/gdm.conf-custom and added this lines to the end:
[server-Standard]
command=/usr/bin/X -br -audit 0 -dpi 96